Bug 439294 - gdm-user-switch-applet locks up the computer (Apple Powerbook, nv driver)
gdm-user-switch-applet locks up the computer (Apple Powerbook, nv driver)
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
10
powerpc Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-27 18:38 EDT by Alex Kanavin
Modified: 2009-08-28 04:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-23 21:33:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
first xorg log (42.70 KB, text/plain)
2008-03-27 18:38 EDT, Alex Kanavin
no flags Details
second xorg log (42.59 KB, text/plain)
2008-03-27 18:38 EDT, Alex Kanavin
no flags Details

  None (edit)
Description Alex Kanavin 2008-03-27 18:38:00 EDT
When I'm choosing "Other" from the fast user switch applet's menu, there is a
funny screen effect, and the machine locks up. Only a poweroff/on helps. I'm
using a Powerbook G4 with NVidia GeForce FX Go5200 and nv driver. Xorg logs are
attached.
Comment 1 Alex Kanavin 2008-03-27 18:38:00 EDT
Created attachment 299400 [details]
first xorg log
Comment 2 Alex Kanavin 2008-03-27 18:38:52 EDT
Created attachment 299401 [details]
second xorg log
Comment 3 Alex Kanavin 2008-03-27 18:44:44 EDT
Comment on attachment 299401 [details]
second xorg log

erm, this is the wrong log, and it's probably unnecessary anyway
Comment 4 Bug Zapper 2008-05-14 04:20:54 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Alex Kanavin 2008-10-04 12:46:31 EDT
The problem persists in Fedora 10 Beta.
Comment 6 Matthias Clasen 2008-10-08 12:22:53 EDT
This has to be some graphics driver problem.
Comment 7 Bug Zapper 2008-11-25 21:11:11 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Christopher Beland 2009-03-10 16:13:49 EDT
Just a note that there are now several similar reports with different hardware: Bug 482997, Bug 484516, Bug 450197, and Bug 439294.
Comment 9 Alex Kanavin 2009-05-28 13:04:31 EDT
I have switched to nouveau in F10 and can report that the problem remains when nvidiafb is used with nouveau, and goes away when video=ofonly is used. So it's probably some weird interaction between user switcher and nvidiafb.
Comment 10 Ben Skeggs 2009-08-23 21:33:02 EDT
Issues presented while running with nvidiafb enabled are generally unavoidable.  You end up in a situation where you have two drivers, with no knowledge of each other trying to control the same piece of hardware.  There's a very good reason why the NVIDIA binary driver refuses to load when nvidiafb is present..

While yes, in a lot of cases nvidiafb works fine in conjunction with the nv driver this is only luck that the two drivers program the hw into very simlar states.  The nouveau driver programs the card completely differently, and will almost certainly fail.

I'm going to close this CANTFIX.  Latest rawhide has a version of the nouveau driver with kernel modesetting support that includes a nouveau-controlled framebuffer console driver that should be somewhat more successful!

Thanks!
Comment 11 Alex Kanavin 2009-08-28 04:47:24 EDT
Right - if I run F12 Alpha on a PowerPC machine, should I be expecting a neat graphical boot?

Note You need to log in before you can comment on or make changes to this bug.